Loading...
Searching...
No Matches
PluginDef Struct Reference

`#include <gx_plugin.h>`

Inheritance diagram for PluginDef:

## Public Attributes

int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Detailed Description

Definition at line 195 of file gx_plugin.h.

## Member Data Documentation

## activate_plugin

activatefunc PluginDef::activate_plugin

Definition at line 213 of file gx_plugin.h.

Referenced by gx_engine::ThreadSafeChainPointer< F >::commit().

## category

const char* PluginDef::category

Definition at line 204 of file gx_plugin.h.

Referenced by gx_engine::ModuleSelectorFromList::ModuleSelectorFromList().

## clear_state

clearstatefunc PluginDef::clear_state

Definition at line 216 of file gx_plugin.h.

Referenced by gx_engine::ThreadSafeChainPointer< F >::commit().

## delete_instance

deletefunc PluginDef::delete_instance

Definition at line 218 of file gx_plugin.h.

## description

const char* PluginDef::description

Definition at line 203 of file gx_plugin.h.

## flags

int PluginDef::flags

Definition at line 197 of file gx_plugin.h.

Referenced by PluginUI::has_gui(), and gx_engine::ModuleSelectorFromList::ModuleSelectorFromList().

## groups

const char** PluginDef::groups

Definition at line 201 of file gx_plugin.h.

Referenced by gx_engine::ModuleSelectorFromList::ModuleSelectorFromList().

## id

const char* PluginDef::id

Definition at line 199 of file gx_plugin.h.

## load_ui

uiloader PluginDef::load_ui

Definition at line 215 of file gx_plugin.h.

Referenced by PluginUI::has_gui().

## mono_audio

process_mono_audio PluginDef::mono_audio

Definition at line 209 of file gx_plugin.h.

Referenced by gx_engine::ThreadSafeChainPointer< monochain_data >::get_audio().

## name

const char* PluginDef::name

Definition at line 200 of file gx_plugin.h.

Referenced by gx_engine::LiveLooper::load_array(), gx_engine::ModuleSelectorFromList::ModuleSelectorFromList(), and gx_engine::LiveLooper::save_array().

## register_params

registerfunc PluginDef::register_params

Definition at line 214 of file gx_plugin.h.

## set_samplerate

inifunc PluginDef::set_samplerate

Definition at line 212 of file gx_plugin.h.

## shortname

const char* PluginDef::shortname

Definition at line 205 of file gx_plugin.h.

## stereo_audio

process_stereo_audio PluginDef::stereo_audio

Definition at line 210 of file gx_plugin.h.

Referenced by gx_engine::ThreadSafeChainPointer< monochain_data >::get_audio().

## version

int PluginDef::version

Definition at line 196 of file gx_plugin.h.

The documentation for this struct was generated from the following file:

- src/headers/gx_plugin.h